from typing import Any 
# By AWARE on RC: python3.6 and it happy this *local* version of dataclasses, but ver>3.6 should go with system-wide version
try:
    from dataclasses import dataclass
except:
    from dataclasses_local import dataclass

@dataclass
class Status():
    status: str = "OK"
    message: str = ""

    def error_occurred(self, msg: str):
        self.status = msg
    
    def reset(self):
        self.status = ""

    def get_status(self):
        return self.status
    

    def is_ok(self):
        return self.status == "OK"
    
    def get_output_msg(self):
        return self.message


